# Type alias Configure<C>

Configure<C>: (<B>(options) => (<I, O>(inputs) => Process<C, Meta.Batch.Outputs<B, O>>))

#### Type Parameters

- #### C extends Meta.Collections = Meta.Collections

#### Type declaration

- - <B>(options): (<I, O>(inputs) => Process<C, Meta.Batch.Outputs<B, O>>)

  - #### Type Parameters

    - #### B extends Meta.Batch.Batch

    #### Parameters

    - ##### options: Meta.Batch.Options<B>

    #### Returns (<I, O>(inputs) => Process<C, Meta.Batch.Outputs<B, O>>)

    - - <I, O>(inputs): Process<C, Meta.Batch.Outputs<B, O>>

      - #### Type Parameters

        - #### I extends Meta.Batch.Input<B>

        - #### O extends Meta.Batch.Output<B>

        #### Parameters

        - ##### inputs: Meta.Batch.Inputs<B, I>

        #### Returns Process<C, Meta.Batch.Outputs<B, O>>

- Defined in packages/db/src/meta/batch.ts:9

Generated using TypeDoc